%global srcname ansible_role_redhat_subscription
%global rolename ansible-role-redhat-subscription

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version:        1.1.0
Release:        2%{?dist}
Summary:        Ansible role for setting up Red Hat Subscription Management.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-redhat-subscription
Source0:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=1.1.0
Patch0001: 0001-Introduce-rhsm_release-parameter.patch
Patch0002: 0002-Adjustments-to-detect-Satellite-version-mode.patch
Patch0003: 0003-Add-support-for-Simplified-Content-Access.patch
Patch0004: 0004-Bump-pyflakes-exclude-ansible-lint-106.patch
Patch0005: 0005-Replace-deprecated-UPPER_CONSTRAINTS_FILE-variable.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible

%description

Ansible role to configure Red Hat Subscription Management

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Mon Jan 25 2021 Austin Hyder <ahyder@redhat.com> 1.1.0-2
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Bump pyflakes, exclude ansible-lint 106

* Mon Aug 24 2020 Austin Hyder <ahyder@redhat.com> 1.1.0-1
- Update to 1.1.0
- Add support for "Simplified Content Access"
- Adjustments to detect Satellite version/mode
- Introduce rhsm_release parameter

* Mon Mar 30 2020 Emilien Macchi <emilien@redhat.com> 1.0.4-3
- Skip proxy tasks when not needed (rhbz#1818966)
- Fix ansible_pkg_mgr (rhbz#1818966)
- Improve support for HTTP proxy (rhbz#1818966)

* Tue Jan 28 2020 Miguel Garcia <mgarciac@redhat.com> 1.0.4-2
- Update the constraints url

* Thu Oct 10 2019 Steve Linabery <slinaber@redhat.com> 1.0.4-1
- Update to 1.0.4

* Thu Aug 29 2019 Jose Luis Franco Arza <jfrancoa@redhat.com> 1.0.2-3
- Rename rhsm_repository module to avoid conflict. (rhbz#1721514)

* Tue May 21 2019 Thierry Vignaud <tvignaud@redhat.com> 1.0.2-2
- Update to opendev
- unregister: run with become
- unregister: use command to remove the subscription
- Simplify & document unregister

* Mon Mar 25 2019 Steve Linabery <slinaber@redhat.com> 1.0.2-1
- Update to 1.0.2

* Thu Nov 29 2018 Emilien Macchi <emilien@redhat.com> 1.0.1-6
- Set up repos when using portal with activation key (rhbz#1653805)
- Make it more explicit that rhsm_activation_key and rhsm_repos are exclusive (rhbz#1653805)
- Fix table in README (rhbz#1653805)
- Fix README.md rst check warnings. (rhbz#1653805)

* Wed Nov 28 2018 Emilien Macchi <emilien@redhat.com> 1.0.1-5
- sat6: pull & deploy katello certs (rhbz#1653805)
- add support for unregistration (rhbz#1653805)
- Fix pem file name (rhbz#1653805)
- Add resiliency to subscription management role (rhbz#1653805)
- Correct rhsm_force_registration var name in defaults. (rhbz#1653805)

* Thu Oct 25 2018 Jason Joyce <jjoyce@redhat.com> 1.0.1-4
- Configure Satellite using Ansible instead of a script (rhbz#1641180)

* Thu Oct 18 2018 Jon Schlueter <jschluet@redhat.com> 1.0.1-3
- Fix defaults when activation key is used, add options (rhbz#1640652)

* Wed Oct 17 2018 Jon Schlueter <jschluet@redhat.com> 1.0.1-2
- update to upstream (rhbz#1640280)
- Add support for RHSM Pools

* Mon Feb 26 2018 RDO <dev@lists.rdoproject.org> 1.0.1-1
- Update to 1.0.1


